# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.contacts
Enum Gender.Value

    java.lang.Object
      java.lang.Enum<Gender.Value>
          com.google.gdata.data.contacts.Gender.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gender.Value>

Enclosing class:
  Gender

    public static enum Gender.Value

extends java.lang.Enum<Gender.Value>

Gender.

Enum Constant Summary
`FEMALE` Female gender.
`MALE` Male gender.

Method Summary
`static Gender.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gender.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FEMALE

    public static final Gender.Value FEMALE

  Female gender.

### MALE

    public static final Gender.Value MALE

  Male gender.

Method Detail

### values

    public static Gender.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gender.Value c : Gender.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gender.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null